# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.ExplainFormat

Packages that use ClientWireProtocol.ExplainFormat
Package
Description
com.ocient.jdbc
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.ExplainFormat in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type ClientWireProtocol.ExplainFormat
Modifier and Type
Method
Description
`String`
XGStatement.`explain(String sql, ClientWireProtocol.ExplainFormat format)`
`String`
XGStatement.`explainPlan(String plan, ClientWireProtocol.ExplainFormat format)`

## Uses of ClientWireProtocol.ExplainFormat in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.ExplainFormat
Modifier and Type
Method
Description
`static ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainFormat.`forNumber(int value)`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExecuteExplain.Builder.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExecuteExplain.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExecuteExplainOrBuilder.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainPlan.Builder.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainPlan.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainPlanOrBuilder.`getFormat()`
`.xg.cmdcomp.ExplainFormat format = 3;`
`static ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainFormat.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainFormat.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ExplainFormat`
ClientWireProtocol.ExplainFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ExplainFormat[]`
ClientWireProtocol.ExplainFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.ExplainFormat
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ClientWireProtocol.ExplainFormat>`
ClientWireProtocol.ExplainFormat.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.ExplainFormat
Modifier and Type
Method
Description
`ClientWireProtocol.ExecuteExplain.Builder`
ClientWireProtocol.ExecuteExplain.Builder.`setFormat(ClientWireProtocol.ExplainFormat value)`
`.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainPlan.Builder`
ClientWireProtocol.ExplainPlan.Builder.`setFormat(ClientWireProtocol.ExplainFormat value)`
`.xg.cmdcomp.ExplainFormat format = 3;`